Bug 532355 - (pup:304, TB60603046) TB60603046 pup:304:_printUpdate:TypeError: not all arguments converted during string formatting
TB60603046 pup:304:_printUpdate:TypeError: not all arguments converted during...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pirut (Show other bugs)
5.4
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-01 15:00 EST by brano
Modified: 2013-03-14 15:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 15:10:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description brano 2009-11-01 15:00:43 EST
Description of problem:

An unhadled exception occured
TB60603046 pup:304:_printUpdate:TypeError: not all arguments converted during string formatting

Traceback (most recent call last):
  File "/usr/sbin/pup", line 192, in _updateSelected
    strs.append(strfunc(new, old))
  File "/usr/sbin/pup", line 304, in _printUpdate
    return _("%s updates %s") %(new, old)
TypeError: not all arguments converted during string formatting

Local variables in innermost frame:
new: xulrunner-1.9.1.4-0.el5.mh.1.i686
self: <__main__.PackageUpdater object at 0xf66f050>
old: xulrunner-1.9.0.15-3.el5_4.i386

Version-Release number of selected component (if applicable):

Name       : pirut
Arch       : noarch
Version    : 1.3.28
Release    : 13.el5.centos
Size       : 1.4 M
Repo       : installed
Summary    : Package Installation, Removal and Update Tools
URL        : http://fedoraproject.org
License    : GPL
Description: pirut (pronounced "pirate") provides a set of graphical tools for managing
           : software.

How reproducible:


Steps to Reproduce:
1. run pirut
2. click on any package displayed for update
3. An unhadled exception occured.
  
Actual results: Pirut crash


Expected results: Info about package displayed


Additional info: I'm runnig CentOS so sorry if bug doesn't belong here.
Comment 1 James Antill 2009-11-02 09:55:14 EST
At a guess this is a locale problem, and _("%s updates %s") is being returned as something which doesn't contain the same number of %s type actions.
What locale are you running pup under?
Comment 2 brano 2009-11-05 12:11:34 EST
My locale:

[brako@rory ~]$ locale
LANG=sk_SK.UTF-8
LC_CTYPE="sk_SK.UTF-8"
LC_NUMERIC="sk_SK.UTF-8"
LC_TIME="sk_SK.UTF-8"
LC_COLLATE="sk_SK.UTF-8"
LC_MONETARY="sk_SK.UTF-8"
LC_MESSAGES="sk_SK.UTF-8"
LC_PAPER="sk_SK.UTF-8"
LC_NAME="sk_SK.UTF-8"
LC_ADDRESS="sk_SK.UTF-8"
LC_TELEPHONE="sk_SK.UTF-8"
LC_MEASUREMENT="sk_SK.UTF-8"
LC_IDENTIFICATION="sk_SK.UTF-8"
LC_ALL=
Comment 3 James Antill 2013-03-14 15:10:38 EDT
 I believe this was fixed at the same time as bug#661278.

Note You need to log in before you can comment on or make changes to this bug.